\documentclass[]{article}
\begin{document}
\begin{table}
\begin{tabular}{lcc}
\hline
\noalign{\smallskip}
& (14) & (21) \\
& lnhw & lnhw \\
\noalign{\smallskip}
\hline
\noalign{\smallskip}
Mestrado & 0.003 & 0.067 \\
& \begin{scriptsize}(0.023)\end{scriptsize} &\begin{scriptsize} (0.039)\end{scriptsize} \\
Doutoramento & 0.196 & 0.321 \\
& \begin{scriptsize}(0.048)**\end{scriptsize} & \begin{scriptsize}(0.088)**\end{scriptsize} \\
Sexo & -0.126 & -0.111 \\
& \begin{scriptsize}(0.014)**\end{scriptsize} & \begin{scriptsize}(0.020)**\end{scriptsize} \\
Ln Volume & 0.026 & -0.002 \\
& \begin{scriptsize}(0.002)**\end{scriptsize} & \begin{scriptsize}(0.004)\end{scriptsize}\\
Constante & 1.722 & 2.029 \\
& \begin{scriptsize}(0.031)**\end{scriptsize} & \begin{scriptsize}(0.056)**\end{scriptsize} \\
\noalign{\smallskip}
$R^2$ & 0.04 & 0.02 \\
$N$ & 7,899 & 2,832 \\
\noalign{\smallskip}
\hline
\noalign{\smallskip}
\multicolumn{3}{c}{\begin{footnotesize} Erros padrão em parênteses\end{footnotesize}} \\
\multicolumn{3}{c}{\begin{footnotesize} *** p$<$0.01, ** p$<$0.05, * p$<$0.1\end{footnotesize}}
\end{tabular}
\end{table}
\end{document}
